// TTTDialog.java
// Klasse, die eine Dialogbox darstellt mit einem 
// vorgegebenen Titel, einem Meldungs-Text und einem Button mit vorgegebenem Labeltext.
// Der Dialog schliesst sich bei Klick auf den Button selbstaendig.

import java.awt.*;
import java.awt.event.*;

class TTTDialog extends Dialog implements ActionListener {
		// Instanzvariblen fuer ok-Button und einem Label als Meldungstext
		private Button ok;
		private Label resultat;
		
		TTTDialog(Frame owner, String title, boolean isModal, String text, String buttonLabel) {
			// Der Dialog gehoert zum Frame owner (wichtig wegen Fokus)
			// title = Fenstertitel, isModal = true bei modalem Dialog
			// test  = Meldungstext, buttonLabel = Beschriftung des ok-Buttons
			
			//Super-Konstruktor aufrufen
			super(owner,title, isModal);
			
			// GUI-Elemente erzeugen
			ok =  new Button(buttonLabel);
			resultat = new Label(text);
			
			// GUI-Elemente zum Dialog hinzufuegen
			add(resultat,BorderLayout.NORTH);
			add(ok,BorderLayout.SOUTH);
			
			// Groesse des Dialoges festlegen
			this.setSize(200,120);
			
			// Ereignisbehandlung fuer ok-Button installieren
			ok.addActionListener(this);
		}
		
		public void actionPerformed(ActionEvent e) {
			// Ereignisbehandlung: Dialog ausblenden und Ressourcen freigeben 
			// bei Klick auf ok-Button
			if (e.getSource() == ok) {
				dispose();
			}
		}
}

